
textures/icyjs5extra/lava_bright
{
    qer_editorImage textures/icyjs5extra/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_surfacelight 600
    q3map_tessSize 96
    cull disable
    {
        map textures/_icyjs5extra/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/icyjs5extra/lavafog
{
    qer_editorImage textures/icyjs5extra/qer_lavafog.tga
    qer_trans 0.50
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0.94 0.50 0.16 ) 150
}

textures/icyjs5extra/red_glow
{
    qer_editorImage textures/icyjs5extra/qer_red_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 70
    q3map_tessSize 64
    cull disable
    {
        map textures/_icyjs5extra/red_glow.tga
        blendFunc add
        tcGen environment
        rgbGen wave sin 0.35 0.15 0 1
    }
}

textures/icyjs5extra/glass_dark
{
    qer_editorImage textures/icyjs5extra/qer_glass_dark.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    sort 7
    {
        map textures/_icyjs5extra/urt41_chrome.tga
        rgbGen vertex
        blendFunc blend
        tcGen environment
    }
}

textures/icyjs5extra/deathfog
{
    qer_editorImage textures/icyjs5extra/black.tga
    qer_trans 0.3
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogParms ( 0 0 0 ) 1024
}


textures/icyjs5extra/darkfloor_soft
{
    q3map_lightImage textures/icyjs5extra/darkfloor.jpg
    qer_editorImage textures/icyjs5extra/qer_darkfloor_soft.jpg
    surfaceparm nodamage
    {
        map textures/icyjs5extra/darkfloor.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/lavacaulk
{
    qer_editorImage textures/icyjs5extra/qer_lava.tga
    qer_trans 0.5
    qer_nocarve
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nodraw
    surfaceparm nolightmap
}

textures/icyjs5extra/darkceil
{
    qer_editorImage textures/icyjs5extra/darkceil.jpg
    {
        map textures/icyjs5extra/darkceil.jpg
        tcMod scale 0.6 0.6
    }
    {
        map $lightmap
        blendFunc filter
    }

}

textures/icyjs5extra/laddercaulk
{
    qer_editorImage textures/icyjs5extra/qer_laddercaulk.tga
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm ladder
}

textures/icyjs5extra/lava
{
    qer_editorImage textures/icyjs5extra/qer_lava.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_surfacelight 375
    q3map_tessSize 96
    cull disable
    {
        map textures/_icyjs5extra/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/icyjs5extra/lava_room_walls_noscale
{
    qer_editorImage textures/icyjs5extra/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/icyjs5extra/lava_room_walls.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/tile00_icy
{
    q3map_lightImage textures/icyjs5extra/tile00.tga
    qer_editorImage textures/icyjs5extra/qer_tile00_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjs5extra/tile00.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjs5extra/black_sl
{
    qer_editorImage textures/icyjs5extra/black.tga
    surfaceparm slick
    {
        map textures/icyjs5extra/black.tga
    }
}

textures/icyjs5extra/glass_transparent
{
    q3map_lightImage textures/_icyjs5extra/glass_radiosity.tga
    qer_editorImage textures/icyjs5extra/qer_clear.tga
    qer_trans 0.3
    q3map_bounceScale 0.22
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyjs5extra/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyjs5extra/glass_transparent_tr
{
    q3map_lightImage textures/_icyjs5extra/glass_radiosity.tga
    qer_editorImage textures/icyjs5extra/qer_clear.tga
    qer_trans 0.4
    q3map_bounceScale 0.22
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyjs5extra/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyjs5extra/glass_transparent2
{
    q3map_lightImage textures/_icyjs5extra/glass_radiosity.tga
    qer_editorImage textures/icyjs5extra/qer_clear.tga
    qer_trans 0.1
    q3map_bounceScale 0.02
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyjs5extra/q3a_glass_transparent2.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyjs5extra/glass_transparent
{
    q3map_lightImage textures/_icyjs5extra/glass_radiosity.tga
    qer_editorImage textures/icyjs5extra/qer_clear.tga
    qer_trans 0.3
    q3map_bounceScale 0.22
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyjs5extra/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyjs5extra/glass_transparent_tr
{
    q3map_lightImage textures/_icyjs5extra/glass_radiosity.tga
    qer_editorImage textures/icyjs5extra/qer_clear.tga
    qer_trans 0.4
    q3map_bounceScale 0.22
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyjs5extra/q3a_glass_transparent.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyjs5extra/glass_transparent2
{
    q3map_lightImage textures/_icyjs5extra/glass_radiosity.tga
    qer_editorImage textures/icyjs5extra/qer_clear.tga
    qer_trans 0.1
    q3map_bounceScale 0.02
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyjs5extra/q3a_glass_transparent2.tga
        blendFunc add
        tcGen environment
    }
}

// Note that this is virtually the same as
// textures/ramb_common/slickclearfiller.
textures/icyjs5extra/clear
{
    qer_editorImage textures/icyjs5extra/qer_clear.tga
    qer_trans 0.1
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm nodraw
    surfaceparm trans
}

textures/icyjs5extra/white_icy
{
    q3map_lightImage textures/icyjs5extra/white.tga
    qer_editorImage textures/icyjs5extra/qer_white_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjs5extra/white.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjs5extra/lava_room_walls_med
{
    qer_editorImage textures/icyjs5extra/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/icyjs5extra/lava_room_walls.jpg
        tcMod scale 0.6 0.6
    }
    {
        map $lightmap
        blendFunc filter
    }
}


textures/icyjs5extra/tile00_icy
{
    q3map_lightImage textures/icyjs5extra/tile00.tga
    qer_editorImage textures/icyjs5extra/qer_tile00_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjs5extra/tile00.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}


textures/icyjs5extra/white_icy
{
    q3map_lightImage textures/icyjs5extra/white.tga
    qer_editorImage textures/icyjs5extra/qer_white_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjs5extra/white.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}


textures/icyjs5extra/gray_icy
{
    q3map_lightImage textures/icyjs5extra/gray.tga
    qer_editorImage textures/icyjs5extra/qer_gray_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjs5extra/gray.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}


textures/icyjs5extra/tile00_hollow_icy
{
    q3map_lightImage textures/icyjs5extra/tile00.tga
    qer_editorImage textures/icyjs5extra/qer_tile00_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjs5extra/tile00.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjs5extra/white_hollow_icy
{
    q3map_lightImage textures/icyjs5extra/white.tga
    qer_editorImage textures/icyjs5extra/qer_white_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjs5extra/white.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjs5extra/tile00
{
    q3map_lightImage textures/icyjs5extra/tile00.tga
    qer_editorImage textures/icyjs5extra/qer_tile00_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjs5extra/tile00.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/tile00_sl
{
    qer_editorImage textures/icyjs5extra/tile00.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjs5extra/tile00.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/tile00_hollow
{
    qer_editorImage textures/icyjs5extra/tile00.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjs5extra/tile00.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/tile01
{
    q3map_lightImage textures/icyjs5extra/tile01.tga
    qer_editorImage textures/icyjs5extra/qer_tile01_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjs5extra/tile01.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/tile01_sl
{
    qer_editorImage textures/icyjs5extra/tile01.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjs5extra/tile01.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/tile01_hollow
{
    qer_editorImage textures/icyjs5extra/tile01.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjs5extra/tile01.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}


textures/icyjs5extra/tile02
{
    q3map_lightImage textures/icyjs5extra/tile02.tga
    qer_editorImage textures/icyjs5extra/qer_tile02_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjs5extra/tile02.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/tile02_sl
{
    qer_editorImage textures/icyjs5extra/tile02.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjs5extra/tile02.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/tile02_hollow
{
    qer_editorImage textures/icyjs5extra/tile02.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjs5extra/tile02.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/tile03
{
    q3map_lightImage textures/icyjs5extra/tile03.tga
    qer_editorImage textures/icyjs5extra/qer_tile03_tr.tga
    surfaceparm nodamage
    {
        map textures/icyjs5extra/tile03.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/tile03_sl
{
    qer_editorImage textures/icyjs5extra/tile03.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjs5extra/tile03.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/tile03_hollow
{
    qer_editorImage textures/icyjs5extra/tile03.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjs5extra/tile03.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}



textures/icyjs5extra/tile03_hollow_icy
{
    q3map_lightImage textures/icyjs5extra/tile03.tga
    qer_editorImage textures/icyjs5extra/qer_tile03_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjs5extra/tile03.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjs5extra/gray_hollow_icy
{
    q3map_lightImage textures/icyjs5extra/gray.tga
    qer_editorImage textures/icyjs5extra/qer_gray_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjs5extra/gray.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjs5extra/tile01_hollow_icy
{
    q3map_lightImage textures/icyjs5extra/tile01.tga
    qer_editorImage textures/icyjs5extra/qer_tile01_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjs5extra/tile01.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjs5extra/tile02_hollow_icy
{
    q3map_lightImage textures/icyjs5extra/tile02.tga
    qer_editorImage textures/icyjs5extra/qer_tile02_icy.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjs5extra/tile02.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}


textures/icyjs5extra/tile19_icy
{
    q3map_lightImage textures/icyjs5extra/tile19.tga
    qer_editorImage textures/icyjs5extra/qer_tile19_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjs5extra/tile19.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjs5extra/tile01_icy
{
    q3map_lightImage textures/icyjs5extra/tile01.tga
    qer_editorImage textures/icyjs5extra/qer_tile01_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjs5extra/tile01.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjs5extra/barrier_sl
{
    qer_editorImage textures/icyjs5extra/barrier_sl.tga
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjs5extra/barrier_sl.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/_icyjs5extra/tint.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyjs5extra/portal_solid
{
    qer_editorImage textures/icyjs5extra/portal.tga
    surfaceparm nodamage
    surfaceparm nomarks
    surfaceparm noimpact
    {
        map textures/icyjs5extra/portal.tga
        tcMod scale 0.6 0.6
        tcMod rotate 15
        tcMod scroll 0.25 0.25
    }
}

textures/icyjs5extra/light
{
    qer_editorImage textures/icyjs5extra/light.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    {
        map textures/icyjs5extra/light.tga
    }
}

textures/icyjs5extra/redwood
{
    qer_editorImage textures/icyjs5extra/redwood.jpg
    q3map_bounceScale 0.0
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/icyjs5extra/redwood.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/gray
{
    qer_editorImage textures/icyjs5extra/gray.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjs5extra/gray.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/portal
{
    qer_editorImage textures/icyjs5extra/portal.tga
    qer_trans 0.7
    surfaceparm detail
    surfaceparm nonsolid
//    cull disable
    {
        map textures/icyjs5extra/portal.tga
        tcMod scroll 0 1
    }
}

textures/icyjs5extra/are_noob
{
    qer_editorImage textures/icyjs5extra/are_noob.tga
    polygonOffset
    {
        map textures/icyjs5extra/are_noob.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyjs5extra/ladder
{
    qer_editorImage textures/icyjs5extra/redwood.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm ladder
    {
        map textures/icyjs5extra/redwood.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/stratosphere
{
    qer_editorImage env/icyjs5extra/stratosphere_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globalTexture
    q3map_lightRGB 1.0 1.0 1.0
    q3map_lightSubdivide 256
    q3map_surfacelight 105
    surfaceparm sky
    q3map_sunExt 1.0 1.0 1.0 110 270 45 2 16
    skyParms env/icyjs5extra/stratosphere - -
}

textures/icyjs5extra/tileclip
{
    qer_editorImage textures/icyjs5extra/green_tile_glow.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm playerclip
    surfaceparm nodamage
    surfaceparm slick
    cull back
    {
        map textures/icyjs5extra/green_tile_glow.tga
        blendFunc add
        rgbGen wave sin 0.15 0.04 0 1
    }
}

textures/icyjs5extra/tile13_hollow
{
    qer_editorImage textures/icyjs5extra/tile13.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjs5extra/tile13.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/tile19_sl
{
    qer_editorImage textures/icyjs5extra/tile19.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjs5extra/tile19.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/tile_trans_color
{
    qer_editorImage textures/icyjs5extra/tile_trans_color.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/icyjs5extra/tile_trans_color.tga
        blendFunc blend
        alphaGen const 0.6
    }
}

textures/icyjs5extra/tile_trans_lt
{
    qer_editorImage textures/icyjs5extra/tile_trans_lt.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonOffset
    {
        map textures/icyjs5extra/tile_trans_lt.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/icyjs5extra/white
{
    qer_editorImage textures/icyjs5extra/white.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyjs5extra/white.tga
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/wood
{
    qer_editorImage textures/icyjs5extra/wood.jpg
    q3map_bounceScale 0.7
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/icyjs5extra/wood.jpg
    }
    {
        map $lightmap
        blendFunc filter
    }
}

textures/icyjs5extra/portal_trans
{
    qer_editorImage textures/icyjs5extra/portal.tga
    qer_trans 0.4
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyjs5extra/portal.tga
        blendFunc blend
        alphaGen const 0.65
        tcMod scroll 0 1
    }
}

